SplFileInfo
SplFileInfo::getATime
SplFileInfo
PHP Manual

# SplFileInfo::__construct

Construct a new SplFileInfo object

### Description

public SplFileInfo::__construct ( string `$file_name` )

Creates a new SplFileInfo object for the file_name specified. The file does not need to exist, or be readable.

### Parameters

`file_name`

  Path to the file.

### Examples

Example #1 SplFileInfo::__construct example

`<?php
$info = new SplFileInfo('example.php');
if ($info->isFile()) {
echo $info->getRealPath();
}
?>`